## intake 0.6.0

=== requirements.txt ===
# This file is also processed by conda-build, so keep spaces as "pkg >=1.2"
appdirs
entrypoints
dask[bag] >=1.0
jinja2
numpy
pyyaml
requests
msgpack
fsspec >=0.3.6

=== debian/changelog ===
intake (0.6.0-4) unstable; urgency=medium

  * Team upload

  [ Shayan Doust ]
  * Add some missing build dependencies
  * Fix some tests 
  * Fix sphinx issue (Closes: #971177)

  [ Andreas Tille ]
  * Build-Depends: python3-tqdm
  * Ignore test that fails when more than one Python3 versions are
    installed

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 10:54:06 +0100

intake (0.6.0-3) unstable; urgency=medium

  * Team upload.
  * Install manpages only in python3-intake
    Closes: #965183

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2020 14:54:41 +0200

intake (0.6.0-2) unstable; urgency=medium

  * Team upload.
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jul 2020 23:20:40 +0200

intake (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #963160)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 15 Jun 2020 18:20:20 +0100

=== debian/control ===
Source: intake
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-setuptools,
               dh-python,
               python3-appdirs,
               python3-entrypoints,
               python3-dask,
               python3-jinja2,
               python3-numpy,
               python3-yaml,
               python3-requests,
               python3-msgpack,
               python3-fsspec,
               python3-pytest,
               python3-pandas,
               python3-tornado,
               python3-partd,
               python3-cloudpickle,
               python3-zarr,
               python3-msgpack-numpy,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-numpydoc,
               python3-aiohttp,
               python3-requests,
               python3-tqdm,
               libjs-bootstrap,
               libjs-html5shiv,
               libjs-jquery,
               node-html5shiv
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/intake
Vcs-Git: https://salsa.debian.org/med-team/intake.git
Homepage: https://github.com/intake/intake
Rules-Requires-Root: no

Package: python3-intake
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-appdirs,
         python3-entrypoints,
         python3-dask,
         python3-jinja2,
         python3-numpy,
         python3-yaml,
         python3-requests,
         python3-msgpack,
         python3-fsspec
Description: lightweight package for finding and investigating data
 Intake is a lightweight set of tools for loading and sharing data in
 data science projects. Intake helps you:
 .
  1. Load data from a variety of formats into containers you already know,
     like Pandas dataframes, Python lists, NumPy arrays and more.
  2. Convert boilerplate data loading code into reusable intake plugins.
  3. Describe data sets in catalog files for easy reuse and sharing
     between projects and with others.
  4. Share catalog information (and data sets) over the network with the
     Intake server.

Package: python3-intake-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
         libjs-bootstrap,
         libjs-html5shiv,
         libjs-jquery
Recommends: python3-intake
Description: documentation for the python3-intake package
 Intake is a lightweight set of tools for loading and sharing data in
 data science projects. Intake helps you:
 .
  1. Load data from a variety of formats into containers you already know,
     like Pandas dataframes, Python lists, NumPy arrays and more.
  2. Convert boilerplate data loading code into reusable intake plugins.
  3. Describe data sets in catalog files for easy reuse and sharing
     between projects and with others.
  4. Share catalog information (and data sets) over the network with the
     Intake server.
 .
 This package contains documentation for python3-intake.

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/intake/intake-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## intake 0.6.1

=== requirements.txt ===
appdirs
dask
entrypoints
pyyaml
fsspec >=0.7.4

=== debian/changelog ===
intake (0.6.1-2) unstable; urgency=medium

  * add fix-ftbfs-on-32bits.patch (Closes: #987486)
  * d/watch: fix broken link to github
  * d/control: add myself as uploader

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Jul 2021 22:19:14 +0200

intake (0.6.1-1) unstable; urgency=high

  * Team upload.
  * New upstream version, Closes: #982699
  * Standards-Version: 4.5.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Refresh patches
  * Add ${sphinxdoc:Built-Using} for the -doc package

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Mar 2021 11:26:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: intake
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Shayan Doust <hello@shayandoust.me>
+Uploaders: Shayan Doust <hello@shayandoust.me>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -27,13 +28,12 @@
                python3-sphinx-rtd-theme,
                python3-numpydoc,
                python3-aiohttp,
-               python3-requests,
                python3-tqdm,
                libjs-bootstrap,
                libjs-html5shiv,
                libjs-jquery,
                node-html5shiv
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/intake
 Vcs-Git: https://salsa.debian.org/med-team/intake.git
 Homepage: https://github.com/intake/intake
@@ -67,6 +67,7 @@
 
 Package: python3-intake-doc
 Architecture: all
+Built-Using: ${sphinxdoc:Built-Using}
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export PYBUILD_NAME=intake

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source/ build/html/ # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/source/ build/man/ # Manpage generator

override_dh_install:
	dh_install

	# For some reason, not all data is movable via install or dh_install, so
	# just force copy (and overwrite if needed) for pytest to actually work
	for py in `py3versions -sv` ; do cp -a intake/source/tests .pybuild/cpython3_$${py}_$(PYBUILD_NAME)/build/intake/source; done

	PYBUILD_SYSTEM=custom \
		       PYBUILD_TEST_ARGS='cd {build_dir}; PATH=$(CURDIR)/debian/{package}/usr/bin:$(CURDIR)/debian/{package}/usr/lib:$(CURDIR)/debian/{package}/build/intake:$$PATH {interpreter} -m pytest' \
		       dh_auto_test --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Build time test is done in dh_install."
endif

## intake 0.6.3

=== debian/changelog ===
intake (0.6.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Contact.
  * refresh fix_privacy_breach.patch
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * fix_tests.patch: skip new tests needing internet.
  * intake-server.1: new manual page.
  * add typo-in-manual-page.patch to fix typos in intake(1) caught by lintian.
  * d/copyright: adjust copyright years per files content.
  * d/copyright: add myself as author of intake-server(1) manual page.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Sep 2021 22:25:57 +0200

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libjs-html5shiv,
                libjs-jquery,
                node-html5shiv
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/intake
 Vcs-Git: https://salsa.debian.org/med-team/intake.git
 Homepage: https://github.com/intake/intake

## intake 0.6.5

=== requirements.txt ===
appdirs
dask
entrypoints
pyyaml
fsspec >=2021.7.0
jinja2

=== debian/changelog ===
intake (0.6.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version

  [ Étienne Mollier ]
  * Add mlist-parameter-test.patch: fix build time test failure.

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jan 2022 07:46:16 +0100

intake (0.6.4-2) unstable; urgency=medium

  * adjust fix-ftbfs-on-32bits.patch to allow unit tests to pass on big endian
    systems, and rename the patch as architectures-support.patch, to reflect
    that change.

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Oct 2021 23:16:30 +0200

intake (0.6.4-1) unstable; urgency=medium

  * New upstream version
  * add sphinx-app-css.patch; replace obsolete add_stylesheet directive.
  * d/rules: copy more test artifacts as needed by the new version.

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Oct 2021 17:55:41 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,8 @@
                libjs-bootstrap,
                libjs-html5shiv,
                libjs-jquery,
-               node-html5shiv
+               node-html5shiv,
+               debhelper
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/intake
 Vcs-Git: https://salsa.debian.org/med-team/intake.git

## intake 0.6.6

=== requirements.txt ===
appdirs
dask
entrypoints
pyyaml
fsspec >=2021.7.0
jinja2
msgpack

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = intake
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx
sphinx_rtd_theme
numpydoc
msgpack_numpy
panel

=== debian/changelog ===
intake (0.6.6-4) unstable; urgency=medium

  * Team upload.

  [ Chris Hofstaedtler ].
  * Replace appdirs with platformdirs. (Closes: #1067969)

  [ Andreas Tille ]
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Standards-Version: 4.7.2 (routine-update)

  [ Antonio Valentino ]
  * debian/patches:
    - New fix-intersphinx-mapping.patch.

  [ Bastian Germann ]
  * Ignore failing tests (revert as soon as possible, Closes: #1064752)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 10:43:25 +0200

intake (0.6.6-3) unstable; urgency=medium

  * Replace distutils which is removed in Python3.12
    Closes: #1059921
  * (Build-)Depends: python3-packaging

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jan 2024 18:29:31 +0100

intake (0.6.6-2) unstable; urgency=medium

  * Team upload

  [ Étienne Mollier ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

  [ Andreas Tille ]
  * Replace newlines in server error reason fields
    Closes: #1044050, #1050623

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 07:42:52 +0100

intake (0.6.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Sep 2022 09:26:44 +0200

intake (0.6.5-2) unstable; urgency=medium

  * Team Upload
  * add autopkgtest (Closes: #970312)

 -- Mohammed Bilal <mdbilal@disroot.org>  Sun, 03 Apr 2022 10:02:07 +0530

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                python3-all,
                python3-setuptools,
-               dh-python,
-               python3-appdirs,
+               dh-sequence-python3,
+               python3-platformdirs,
                python3-entrypoints,
                python3-dask,
                python3-jinja2,
@@ -33,8 +33,8 @@
                libjs-html5shiv,
                libjs-jquery,
                node-html5shiv,
-               debhelper
-Standards-Version: 4.6.0
+               python3-packaging
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/intake
 Vcs-Git: https://salsa.debian.org/med-team/intake.git
 Homepage: https://github.com/intake/intake
@@ -45,7 +45,7 @@
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-appdirs,
+         python3-platformdirs,
          python3-entrypoints,
          python3-dask,
          python3-jinja2,
@@ -53,7 +53,8 @@
          python3-yaml,
          python3-requests,
          python3-msgpack,
-         python3-fsspec
+         python3-fsspec,
+         python3-packaging
 Description: lightweight package for finding and investigating data
  Intake is a lightweight set of tools for loading and sharing data in
  data science projects. Intake helps you:

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
@@ -25,10 +25,16 @@
 
 	# For some reason, not all data is movable via install or dh_install, so
 	# just force copy (and overwrite if needed) for pytest to actually work
-	for py in `py3versions -sv` ; do cp -a intake/source/tests .pybuild/cpython3_$${py}_$(PYBUILD_NAME)/build/intake/source; done
+	set -e \
+	; for py in `py3versions -sv` \
+	; do builddir=".pybuild/cpython3_$${py}_$(PYBUILD_NAME)/build" \
+	;    cp -a intake/source/tests $${builddir}/intake/source \
+	;    cp -a intake/catalog/tests $${builddir}/intake/catalog \
+	;    cp -a intake/interface/tests $${builddir}/intake/interface \
+	; done
 
 	PYBUILD_SYSTEM=custom \
-		       PYBUILD_TEST_ARGS='cd {build_dir}; PATH=$(CURDIR)/debian/{package}/usr/bin:$(CURDIR)/debian/{package}/usr/lib:$(CURDIR)/debian/{package}/build/intake:$$PATH {interpreter} -m pytest' \
+		       PYBUILD_TEST_ARGS='cd {build_dir}; PATH=$(CURDIR)/debian/{package}/usr/bin:$(CURDIR)/debian/{package}/usr/lib:$(CURDIR)/debian/{package}/build/intake:$$PATH {interpreter} -m pytest intake/auth/tests intake/cli/tests intake/container/tests intake/tests' \
 		       dh_auto_test --buildsystem=pybuild
 
 override_dh_auto_test:

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-pandas, python3-tornado, python3-aiohttp, python3-msgpack-numpy
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/intake/intake/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## intake geopandas-0.4.0

=== requirements.txt ===
geopandas
intake

## intake nwp-0.4.0

=== docs/Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
-SPHINXPROJ    = intake
-SOURCEDIR     = source
-BUILDDIR      = build
+SPHINXBUILD   = python -msphinx
+SPHINXPROJ    = intake_nwp
+SOURCEDIR     = .
+BUILDDIR      = _build
 
 # Put it first so that "make" without argument is like "make help".
 help:

## intake stac-0.2.0

=== requirements.txt ===
intake>=0.5.1
intake-xarray~=0.3.0
scikit-image~=0.15.0
sat-stac>=0.1.3

## intake stac-0.3.0

=== requirements.txt ===
fsspec>=0.8.4
intake>=0.5.1
intake-xarray>=0.4
sat-stac==0.4.*

## intake stac-0.4.0

=== requirements.txt ===
fsspec>=0.8.4
intake>=0.5.1
intake-xarray>=0.4
pystac>=1.0.0
